CalryOTA Docs
OAuth App

Get OAuth App by Provider

Retrieves a specific OAuth application by its provider

GET
/api/v1/oauth-app/{provider}

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

provider*string

Integration provider for the OAuth app

Value in"AVANTIO" | "BOOKINGSYNC" | "BOOM" | "CIIRUS" | "ELINA" | "GUESTY" | "HOSTAWAY" | "HOSTFULLY" | "HOSTIFY" | "INTERHOME" | "LODGIFY" | "OWNERREZ" | "HOSTHUB" | "UPLISTING" | "BEDS24" | "HOST_TOOLS" | "HOSTFULLYSANDBOX" | "HOSPITABLE" | "TOKEET" | "MR_ALFRED"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/oauth-app/AVANTIO"
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "provider": "HOSTFULLY",
  "client_id": "XXXXXXXXXX",
  "scopes": "read_listings write_listings read_bookings",
  "status": "ACTIVE",
  "createdAt": "2024-03-20T10:00:00.000Z",
  "updatedAt": "2024-03-20T10:00:00.000Z"
}
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
Empty